package com.under9.android.comments.data.query.comment


import com.under9.android.comments.model.CommentListItem2

/**
 * @param prev Previous page's url
 * @param next Next page's url
 * @param opUserId op's user id
 * @param level List's level (1 for parent list, 2 for thread)
 *
 */
data class CommentListQueryResult2(
        var prev: String?,
        var next: String?,
        var opUserId: String,
        var level: Int,
        var comments: List<CommentListItem2>
) {
    companion object {
        const val KEY_NEXT = "next"
        const val KEY_PREV = "prev"
        const val KEY_OP_USER_ID = "op_user_id"
        const val KEY_LEVEL = "level"
    }
}