package com.under9.android.comments.model.wrapper

data class EmbedMedia(
        @JvmField var url: String? = null,
        @JvmField var width: Int = 0,
        @JvmField var height: Int = 0,
        // Image specific
        @JvmField var webpUrl: String? = null
) {
    fun getImageUrl(): String {
        return when {
            webpUrl != null -> webpUrl!!
            url != null -> url!!
            else -> "https://"
        }
    }
}
