package com.under9.android.comments.data.repository

import com.under9.android.comments.controller.DataController
import com.under9.android.comments.model.User
import com.under9.android.comments.model.api.ApiUser

class LocalUserRepository(
        private val dataController: DataController
) : LocalUserRepositoryInterface {

    override fun obtainUser(apiUser: ApiUser): User? = dataController.obtainUser(apiUser)

    override fun getUserByUserId(userId: String): User? = dataController.getUserByUserId(userId)
}