package com.under9.android.comments.ui.renderer

import android.text.TextPaint
import android.text.style.ClickableSpan
import android.view.View

class MentionedUserClickSpan(
        private val username: String?,
        private val accountId: String?,
        private val listener: OnClickListener?
) : ClickableSpan() {

    override fun onClick(widget: View) {
        listener?.onClick(username, accountId)
    }

    override fun updateDrawState(ds: TextPaint) {

    }

    interface OnClickListener {
        fun onClick(username: String?, accountId: String?)
    }
}
